# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.gtt
Enum DocumentSource.Type

    java.lang.Object
      java.lang.Enum<DocumentSource.Type>
          com.google.gdata.data.gtt.DocumentSource.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentSource.Type>

Enclosing class:
  DocumentSource

    public static enum DocumentSource.Type

extends java.lang.Enum<DocumentSource.Type>

Type.

Enum Constant Summary
`AEA` Aea document source.
`AES` Aes document source.
`DOC` Doc document source.
`HTML` Html document source.
`KNOL` Knol document source.
`ODT` Odt document source.
`PLAINTEXT` PlainText document source.
`RTF` Rtf document source.
`SRT` Srt document source.
`SUB` Sub document source.
`WIKI` Wiki document source.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static DocumentSource.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentSource.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AEA

    public static final DocumentSource.Type AEA

  Aea document source.

### AES

    public static final DocumentSource.Type AES

  Aes document source.

### DOC

    public static final DocumentSource.Type DOC

  Doc document source.

### HTML

    public static final DocumentSource.Type HTML

  Html document source.

### KNOL

    public static final DocumentSource.Type KNOL

  Knol document source.

### ODT

    public static final DocumentSource.Type ODT

  Odt document source.

### PLAINTEXT

    public static final DocumentSource.Type PLAINTEXT

  PlainText document source.

### RTF

    public static final DocumentSource.Type RTF

  Rtf document source.

### SRT

    public static final DocumentSource.Type SRT

  Srt document source.

### SUB

    public static final DocumentSource.Type SUB

  Sub document source.

### WIKI

    public static final DocumentSource.Type WIKI

  Wiki document source.

Method Detail

### values

    public static DocumentSource.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentSource.Type c : DocumentSource.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentSource.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML